per host authorization for making changes.

12/18/2009 04:54 PM - Nigel Kersten

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Users, Roles and Permissions   

Target version:    
Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Another wide ranging feature request:

We have a large and distributed operational team, and we like to be able to let users manage their own servers.

However, we do not wish to allow users to manage their own desktops and laptops in terms of specifying additional classes etc.

Ideally we could have some kind of rule based authorization system that could make use of host fact values, that would allow us to

do this sort of thing, written in pre-caffeine-pseudo-code.

if $admin_user is in LDAP group "foo" and $machine_type  "desktop": allow administration

if $admin_user is in $machine_owners and $machine_type  "server": allow administration

Even more ideally, users would have two views in Foreman, one to simply view all hosts, and the other to view all hosts that they had

administrative rights over.

Related issues:

Related to Foreman - Feature #73: add support for user groups Closed 03/04/2010 03/04/2010

Related to Foreman - Feature #170: Create a usergroup implementation Closed 03/03/2010

Blocked by Foreman - Feature #366: Provide a basic authorization infrastructure Closed 08/26/2010

History

#1 - 05/30/2010 05:06 PM - Ohad Levy

- Assignee set to Paul Kelly

- Target version set to 0.1-6

#2 - 07/02/2010 04:02 PM - Paul Kelly

- Category set to Users, Roles and Permissions

- Status changed from New to Assigned

- % Done changed from 0 to 60

In the process of porting the Redmine security implementation over to Foreman. Thanks, and respect, go to Eric Davis, Jean-Philippe Lang, and the

rest of the team over on the Redmine project.

#3 - 10/05/2010 09:03 AM - Ohad Levy

- Target version changed from 0.1-6 to 0.2

#5 - 01/27/2011 02:32 AM - Ohad Levy

- Target version deleted (0.2)

#6 - 11/22/2011 01:51 AM - Ohad Levy

- Status changed from Assigned to Closed
I think this has been resolved long ago.. closing
